/**
 * 
 */
package gov.va.med.esr.mvc.model;
import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * @author DNS   CHINNR
 *
 */
@XmlRootElement(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getPersonNotificationRequest")
public class GetPersonNotificationRequest implements Serializable {
	
/**
	 * 
	 */
	private static final long serialVersionUID = 105382902659928988L;
//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private String notificationType;
//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private LinkNotificationInfo linkNotification;
//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private MoveNotificationInfo moveNotification;
//	@XmlAttribute(namespace = "http://jaxws.webservices.esr.med.DNS   /schemas")
	private PrimaryviewNotificationInfo primaryviewNotification;
	
	public String getNotificationType() {
		return notificationType;
	}
	public void setNotificationType(String notificationType) {
		this.notificationType = notificationType;
	}
	public LinkNotificationInfo getLinkNotification() {
		return linkNotification;
	}
	public void setLinkNotification(LinkNotificationInfo linkNotification) {
		this.linkNotification = linkNotification;
	}
	public MoveNotificationInfo getMoveNotification() {
		return moveNotification;
	}
	public void setMoveNotification(MoveNotificationInfo moveNotification) {
		this.moveNotification = moveNotification;
	}
	public PrimaryviewNotificationInfo getPrimaryviewNotification() {
		return primaryviewNotification;
	}
	public void setPrimaryviewNotification(
			PrimaryviewNotificationInfo primaryviewNotification) {
		this.primaryviewNotification = primaryviewNotification;
	}
	

}
